Subject: bug#37361: GHCI fails to run for [email-masked]

From: Timothy Sample <[email-masked]>
Date: Mon, 09 Sep 2019 22:09:19 -0400

Hi Jacob,

Jacob MacDonald <[email-masked]> writes:

> To reproduce, just guix environment --ad-hoc ghc -- ghci. [email-masked]
> works. Seems like this may be related to some Prelude changes upstream
> (https://gitlab.haskell.org/ghc/ghc/issues/16563), but I'm not
> familiar enough with GHC internals to really tell what's going on.
> Interestingly, when I try to run plain old GHC on some source files
> with 8.6.5 I get another seemingly unrelated error:
>
>     Bad interface file:
> /gnu/store/8v1sn5ns7r5n02aip0b0ypyyzb2y1i1a-ghc-8.4.3/lib/ghc-8.4.3/base-4.11.1.0/Prelude.hi
>             mismatched interface file versions (wanted "8065", got "8043")
>       |
>     1 | import Test.Hspec        (Spec, it, shouldBe)
>       | ^

I believe this should be fixed by 83aa656217.  I made a mistake when
refactoring the GHC 8.6 package definition, and it was not setting its
search paths correctly.

Can you try again and confirm that it’s fixed?

Thanks!

-- Tim